/*
  	Returning_and_passing_parameters.js
    Purpose: show how to pass and return parameters when creating BrainVoyager QX 2.1 scripts without a graphical user interface (GUI).
    Functionality: calculate the size of a smoothing kernel in mm, using the information about the kernel size in pixels and the pixel size, 
    information stored in different functions. The information in local variable 'kernel' is communicated to function getKernelInMm(kernelInPixels) 
    via the kernelInPixels argument.
  	Difference with GUI script: when using a function, 'scriptObj' and 'this' references do not have to be used, functions can be                   
    invoked directly. 
	HB, BI, 2010.
*/


BrainVoyagerQX.PrintToLog("Starting script to calculate smoothing kernel size…");
var kernelInPixels = getKernelInPixels(); 	// function takes no parameters, returns one parameter
getKernelInMm(kernelInPixels); 		// function takes 1 parameter, does not return a parameter


function getKernelInPixels() {

	var kernel = 2; // pixels
	BrainVoyagerQX.PrintToLog("Kernelsize in pixels: " + kernel);
	return kernel;
}

function getKernelInMm(kernelInPixels) {

	var pixelsize = 3.5;
	BrainVoyagerQX.PrintToLog("Pixelsize in millimeters: " + pixelsize);
	var kernelInMm = pixelsize * kernelInPixels;
	BrainVoyagerQX.PrintToLog("Kernelsize in millimeters: " + kernelInMm);
}